package model;

public class Image extends AuthoredItem {
    private final int width;
    private final int height;

    // Fill in dummy content
    {
        content = " /\\_/\\ \n( o.o )\n > ^ < ";
    }

    /**
     * Creates an image with the given title and author and a resolution
     * defined by width and height.
     *
     * @param title title of image
     * @param width width of image
     * @param height height of image
     * @param author author of image
     */
    public Image(String title, int width, int height, String author) {
        this.title = title;
        this.width = width;
        this.height = height;
        this.author = author;
    }

    public String getOverview() {
        return "Image: " + getTitle()
                + ", Resolution: " + getWidth()
                + "x" + getHeight()
                + ", Author: " + getAuthor();
    }

    //=================================

    /**
     * Get the width of the image.
     *
     * @return width
     */
    public int getWidth() {
        return width;
    }

    /**
     * Get the height of the image.
     *
     * @return height
     */
    public int getHeight() {
        return height;
    }
}
